> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync bank transactions



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/integrations/bank/transactions/sync
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/bank/transactions/sync:
    post:
      tags:
        - Bank
      summary: Sync bank transactions
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                slug:
                  type: string
                  description: The slug of the bank connection.
                cursor:
                  type: string
                  description: Cursor for pagination of transactions.
              required:
                - slug
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  transactions:
                    type: array
                    items: {}
                    description: Array of added transactions.
                  hasMore:
                    type: boolean
                    description: Whether there are more transactions to fetch.
                  nextCursor:
                    type: string
                    nullable: true
                    description: Cursor for the next page of transactions.
                  modified:
                    type: array
                    items: {}
                    description: Array of modified transactions.
                  removed:
                    type: array
                    items: {}
                    description: Array of removed transactions.
                required:
                  - transactions
                  - hasMore
                  - nextCursor
                  - modified
                  - removed
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true

````